# ScrollBar

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

* [Control](/api/v3.0/wisej.web/general/control.md)
  * [ScrollBar](/api/v3.0/wisej.web/content/scrollbar.md)

Implements the basic functionality of a scroll bar control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ScrollBar : Control
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ScrollBar
    Inherits Control
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/uCY6T77rh488FWHzpJ6P)ScrollBar()

Initializes a new instance of the [ScrollBar](/api/v3.0/wisej.web/content/scrollbar.md) class.

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)LargeChange

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets a value to be added to or subtracted from the [Value](#value) property when the scroll box is moved a large distance.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than 0.

### ![](/files/uCY6T77rh488FWHzpJ6P)Maximum

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the upper limit of values of the scrollable range.

### ![](/files/uCY6T77rh488FWHzpJ6P)Minimum

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the lower limit of values of the scrollable range.

### ![](/files/uCY6T77rh488FWHzpJ6P)SmallChange

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the value to be added to or subtracted from the [Value](#value) property when the scroll box is moved a small distance.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than 0.

### ![](/files/uCY6T77rh488FWHzpJ6P)TabStop

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether the user can give the focus to this control using the TAB key and the [Focusable](/api/v3.0/wisej.web/general/control.md#focusable) property is set to true.

### ![](/files/uCY6T77rh488FWHzpJ6P)Value

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets a numeric value that represents the current position of the scroll box on the scroll bar control.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) The assigned value is less than the [Minimum](#minimum) property value; or the assigned value is greater than the [Maximum](#maximum) property value.

## Events

### ![](/files/uCY6T77rh488FWHzpJ6P)Scroll

[ScrollEventHandler](/api/v3.0/wisej.web/content/scrollbar/wisej.web.scrolleventhandler.md) Fired when the scroll box has been moved by either a mouse or keyboard action.

### ![](/files/uCY6T77rh488FWHzpJ6P)ValueChanged

[EventHandler](https://docs.microsoft.com/en-us/dotnet/api/system.eventhandler) Fired when the [Value](#value) property is changed, either by a [Scroll](#scroll) event or programmatically.

## Inherited By

| Name                                                                        | Description                          |
| --------------------------------------------------------------------------- | ------------------------------------ |
| [HScrollBar](/api/v3.0/wisej.web/content/scrollbar/wisej.web.hscrollbar.md) | Represents an horizontal scroll bar. |
| [VScrollBar](/api/v3.0/wisej.web/content/scrollbar/wisej.web.vscrollbar.md) | Represents a vertical scroll bar.    |

## Implements

| Name                                                                                   | Description                                                                                                                |
| -------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| [IBindableComponent](/api/v3.0/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                              |
| [IWisejComponent](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                             |
| [IWisejControl](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/v3.0/wisej.web/general/control.md) class must implement this interface. |
| [IWisejSerializable](/api/v3.0/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/content/scrollbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
